upsertTableRows

Inserts or updates rows based on a key. If a row exists, it is updated; otherwise, a new row is created.

POST/v1/tables/{table}/rows/upsert

Authorization

AuthorizationBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-bot-idstring
Bot id
x-integration-id?string
Integration id
x-integration-alias?string
Integration alias
x-integration-name?string
Integration name
x-user-id?string
User Id
x-user-role?string
User Role

Path parameters

tablestring
The table's name or unique identifier for targeting specific table operations.

Request body

Rows for insertion or update, with a key column to determine action. Supports partial successes.

rowsobject[]
keyColumn?stringdefault: "id"
Determines if a row is inserted or updated. Defaults to "id".(min length: 1, max length: 30)
waitComputed?boolean
Ensure computed columns are fully processed before returning the result. This is applicable only when the number of rows involved is fewer than 1.

Response

Summary of insertions and updates, including any warnings or errors.

insertedobject[]
updatedobject[]
warnings?string[]
Alerts for minor issues that don't block the operation but suggest possible improvements.
errors?string[]
Critical issues in specific elements that prevent their successful processing, allowing partial operation success.